Subject: Re: [PATCH net-next v6 0/2] net: mana: add ethtool private flag for full-page RX buffers

From: Jakub Kicinski <[email-masked]>
Date: Thu, 16 Apr 2026 08:31:46 -0700

On Tue, 14 Apr 2026 09:00:56 -0700 Dipayaan Roy wrote:
> I still see roughly a 5% overhead from the atomic refcount operation
> itself, but on that platform there is no throughput drop when using
> page fragments versus full-page mode.

That seems to contradict your claim that it's a problem with a specific
platform.. Since we're in the merge window I asked David Wei to try to
experiment with disabling page fragmentation on the ARM64 platforms we
have at Meta. If it repros we should use the generic rx-buf-len
ringparam because more NICs may want to implement this strategy.